function RES=AppendString(STRINGS,STRING);
% function RES=appendString(STRINGS,STRING);
% Додавання до масива рядків STRINGS рядка STRING
% з вирівнюванням довжин усіх рядків
% Аргументи:
%   STRINGS - масив рядків
%   STRING  - рядок, що додається
% Результати:
%   RES     - результуючий масив, до якого додано STRING
% Обмеження:
%   1)
%

% визначаємо довжини рядків у STRINGS та STRING
[m,n]=size(STRINGS);
[ms,ns]=size(STRING);

% збільшуємо кількість елементів у масиві (додємо в кінці пробіли) до тих
% пір, поки довжини рядків у обох масивах не вирівняються
% якщо у STRINGS рядки довші - подовжуємо STRING
if (n>ns)
    for i=1:ms
        STRING(i,ns+1:n)=' ';
    end
% якщо у STRING рядки довші - подовжуємо STRINGS
elseif (ns>n)
    for i=1:m
        STRINGS(i,n+1:ns)=' ';
    end
end

% записуємо результат
RES=[STRINGS; STRING];

% очищуємо локальні змінні
clear m n ms ns;